import { ExecutionContextFlow, IContext, IPipe } from './pipe';
export declare function getTypeOf(arg: unknown): string;
export declare function isContextFlowAsync(arg: IContext): boolean;
export declare function isContextFlowSync(arg: IContext): boolean;
export declare function isNullOrUndefined(arg: unknown): arg is null | undefined;
export declare function isPipe(arg: unknown): arg is IPipe<unknown, unknown>;
export declare function throwContextExecutionFlow(functionName: string, context: IContext, flow: ExecutionContextFlow): never | void;
export declare function throwIfNotArray(functionName: string, value: unknown): never | void;
export declare function throwIfNotBoolean(functionName: string, value: unknown): never | void;
export declare function throwIfNotFunction(functionName: string, paramName: string, value: unknown): never | void;
export declare function throwIfNotObject(functionName: string, value: unknown): never | void;
export declare function throwIfNotNumber(functionName: string, value: unknown): never | void;
export declare function throwIfNotString(functionName: string, value: unknown): never | void;
